Subject: Re: FVWM: Next Focus not cycling?

From: Dominik Vogt <[email-masked]>
Date: Sun, 6 May 2001 14:03:09 +0200

On Sun, May 06, 2001 at 02:07:26PM +0300, Tzafrir Cohen wrote:
> On Sun, 6 May 2001, Dominik Vogt wrote:
> 
> > > Tzafrir Cohen wrote:
> > >
> > > Key Tab         A       M       Next (!Iconify CurrentScreen) Focus
> > > Key Tab         A       MS      Prev (!Iconify CurrentScreen) Focus
> > > 
> > > 
> > > > BTW, it should be "Iconic" condition not "Iconify", also there is no
> > > > "CurrentScreen" condition, but "CurrentDesk" or "CurrentPage".
> > > 
> > > That's nice. Is there any "compiler" or such to check for irrelevant
> > > conditions?
> > 
> > The problem is that there are no irrelevant conditions.  When fvwm
> > encounters a string that does not match any of the predefined
> > tokens in a condition, it is taken as the name/class/resource of a
> > window.  In the case of the lines above fvwm has looked for
> > windows with the title "!Iconify" (and has silently ignored the
> > CurrentScreen part).  So the correct lines are
> > 
> > Key Tab A M  Next (!Iconic CurrentPage) Focus
> > Key Tab A MS Prev (!Iconic CurrentPage) Focus
> > 
> > (or CurrentDesk instead of CurrentPage).
> > 
> 
> I believe that this is not the problem, as I have tried it also with the
> simpler condition '(*)'.

Believe it or not, it *is* the problem ;-)  But what I said was not
100% correct.  "!Iconify" matches any string in title/class/resource
except "Iconify" of course.  I guess you did not try the lines I
wrote.  They do work as expected.

> If what you say is correct then I would not have been able to use alt-tab
> to change focus to any window. But this is not the case.

Right.  I wasn't correct, but that does not mean the lines do not
work.

> Anyway, I gave up and installed IceWM. Maybe I'll try encountering fvwm
> sometime in the future. It looks great and configurable, but when I can't
> work in a decent manner for a cupple of days, I rather using something
> that works, even though it lacks some of the features.

Well, if you insist on not reading the manual ... ;-)

Bye

Dominik ^_^  ^_^

P.S.: Please always reply to the mailing list, not to my private
address.

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 6 May 2001 12:35:24 +0000

> wrote.  They do work as expected.

The Tzafrir's problem is stopping circulation, not incorrect windows in
circulation.

Your lines work of course, but only if there are no windows on the way
that do not accept focus, like FvwmPager, as I wrote in my messages.

If you want to reproduce the Tzafrir's problem, execute in FvwmConsole:

  Style xclock CirculateHit
  Exec exec xclock
  # Yes, conditions are not correct, just to show they are not the problem
  Key Tab         A       M       Next (!Iconify CurrentScreen) Focus
  Key Tab         A       MS      Prev (!Iconify CurrentScreen) Focus

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 6 May 2001 14:55:43 +0200

>   Key Tab         A       MS      Prev (!Iconify CurrentScreen) Focus

-->

  Style * Lenience

Bye

Dominik ^_^  ^_^